Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-28536

Ubuntu mongodb-org metapackage does not have version deps pinned

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Duplicate
    • Affects Version/s: 3.4.2, 3.4.3
    • Fix Version/s: None
    • Component/s: Packaging
    • Labels:
      None
    • Environment:
      Ubuntu 14.04
    • Operating System:
      ALL

      Description

      Expected:
      apt-get install mongodb-org=3.4.2 installs mongodb-org-shell, -server, -mongos, -tools, etc. at 3.4.2

      Actual:
      apt-get install mongodb-org=3.4.2 installs mongodb-org-shell, -server, -mongos, -tools, etc. at the latest version (3.4.3)

      Diagnosis: The dependencies are not correctly defined in the .deb file. See apt-cache showpkg mongodb-org

      apt-sources entry:
      deb [arch=amd64] http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 multiverse

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: